--     __           _         _            _   _      
--  /\ \ \__ _ _ __| | ____ _| | ___ _ __ | |_(_) ___ 
-- /  \/ / _` | '__| |/ / _` | |/ _ \ '_ \| __| |/ __|
--/ /\  / (_| | |  |   < (_| | |  __/ |_) | |_| | (__ 
--\_\ \/ \__,_|_|  |_|\_\__,_|_|\___| .__/ \__|_|\___|
--                                  |_|               
-- /Narkaleptic/              narkaleptic@mainelan.net
--          Vehicle Control Unit v2.2.6

ENT.Type 			= "anim"
ENT.Base 			= "base_gmodentity"

ENT.PrintName		= "Vehicle Control Unit"
ENT.Author			= "Narkaleptic"
ENT.Contact			= "narkaleptic@mainelan.net"
ENT.Purpose 		= "Bind movement keys to numkeys while in the vehicle."
ENT.Instructions	= "Inject (left click) a VCU into a vehicle or pod."

ENT.Spawnable		= false
ENT.AdminSpawnable	= false

function ENT:SetKey( name, key )
	self.Entity:SetVar( "NumpadKey_" .. name, key )
end

function ENT:GetKey( name )
	return self.Entity:GetVar( "NumpadKey_" .. name )
end

function ENT:GetPlayer()
	return self.Entity:GetVar( "Founder", NULL )
end
function ENT:GetPlayerIndex()
	return self.Entity:GetVar( "FounderIndex", 0 )
end
